package com.unis.base.server.dao;

import java.util.List;

import com.unis.base.common.vo.QyxxVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import tk.mybatis.mapper.common.Mapper;

import com.unis.base.server.entity.TyZjxxzbDO;
import com.unis.base.server.entity.TzQylxDO;

@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TzQylxDao extends Mapper<TzQylxDO> {

    int insert(TzQylxDO record);

    int insertSelective(TzQylxDO record);
    
    int delete(TzQylxDO record);

    int updateByPrimaryKey(TzQylxDO record);
    
    Integer selectMaxId();

    List<QyxxVO> qyxxList(QyxxVO qyxxVO);
}